Bug 75264 - Non blocking I/O is broken
Non blocking I/O is broken
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 07:41 EDT by Jojo
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 07:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test programm ... (2.27 KB, text/plain)
2002-10-06 07:47 EDT, Jojo
no flags Details
shorter test script demonstrating the issue w/o external executable dependencies (715 bytes, application/octet-stream)
2002-11-06 11:36 EST, Chip Turner
no flags Details
Make :unix layer under :perlio not treat EAGAIN as error (902 bytes, patch)
2003-05-18 07:03 EDT, Nick Ing-Simmons
no flags Details | Diff

  None (edit)
Description Jojo 2002-10-06 07:41:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
when using non-blocking I/O with the perl version delivered with RH 8.0
there will be a failure
see attachment.

This problem was originaly found while using dvdrip, for another description see:
http://lists.exit1.org/pipermail/dvdrip-users/2002-October/001489.html

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see attachment or
http://lists.exit1.org/pipermail/dvdrip-users/2002-October/001489.html

Additional info:
Comment 1 Jojo 2002-10-06 07:47:08 EDT
Created attachment 79045 [details]
test programm ...
Comment 2 Jvrn Reder 2002-10-06 20:22:19 EDT
Setting the environment variable PERLIO=stdio workarounds the problem. So
obviously only the RH 8.0 perlio layer is broken regardings non-blocking I/O,
the stdio layer works fine.
Comment 3 Jojo 2002-10-07 05:45:51 EDT
sorry for the weird attachment. those strange charakters are of course tabs...
Comment 4 baulv 2002-10-27 10:24:38 EST
I get the same results with RH8.0 and transcode 0.6.1 and dvd:rip 
> 0.47.05 or 0.46. (tested 2 different "cripted" dvd's)
BTW: all the guys using RH 8.0 should urge RedHat to fix this bug. It's
in their bugzilla but without any official reply yet, it's not even 
assigned (still status NEW).
Comment 5 Michel Alexandre Salim 2002-11-05 16:23:12 EST
Well it is assigned now at least. Chip, any idea when we can expect at least a
trial replacement RPM? Would not mind testing it... hmm, there's no new version
in Rawhide yet either.
Comment 6 Chip Turner 2002-11-06 11:36:02 EST
This bug has been submitted upstream to the perl5-porters list with a revised
test script.  Hopefully something will be heard soon.
Comment 7 Chip Turner 2002-11-06 11:36:57 EST
Created attachment 83866 [details]
shorter test script demonstrating the issue w/o external executable dependencies
Comment 8 Chip Turner 2002-11-29 11:35:22 EST
This bug has been submitted upstream.  Its status can be viewed at:

http://rt.perl.org/rt2/Ticket/Display.html?id=18265
Comment 9 Nick Ing-Simmons 2003-05-18 07:03:38 EDT
Created attachment 91766 [details]
Make :unix layer under :perlio not treat EAGAIN as error

I propose this will be applied to perl5.8.1 - verification 
that it solves the original report requested.

Note You need to log in before you can comment on or make changes to this bug.